Summary:        Create and manage SQL/MM topologies
Name:           librttopo
Version:        1.1.0
Release:        3%{?dist}
License:        GPL-2.0-or-later
URL:            https://git.osgeo.org/gitea/rttopo/librttopo
Source0:        %{url}/archive/%{name}-%{version}.tar.gz
Patch3000:      librttopo_geos.patch

BuildRequires: make gcc autoconf automake libtool
BuildRequires: geos-devel


%description
The RT Topology Library provides an API to create and manage standard (ISO 13249 aka SQL/MM) 
topologies using user-provided data stores.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
This package provides libraries and header files for developing applications that use %{name}.


%prep
%autosetup -p1 -n %{name}


%build
autoreconf -ifv

%configure --disable-static
%make_build


%install
%make_install

find %{buildroot} -name '*.la' -exec rm -f {} ';'


%files
%license COPYING
%doc CREDITS NEWS.md README.md TODO
%{_libdir}/%{name}.so.*

%files devel
%{_includedir}/%{name}.h
%{_includedir}/%{name}_geom.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/rttopo.pc


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 21 2023 Wang Guodong <gordonwwang@tencent.com> - 1.1.0-1
- initial build
